camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CAMEL-2966) Upgrade to flatpack 3.2.0
Date Wed, 01 Sep 2010 07:06:40 GMT

    [ https://issues.apache.org/activemq/browse/CAMEL-2966?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=61574#action_61574
] 

Claus Ibsen commented on CAMEL-2966:
------------------------------------

I upgraded the features xml files.

Also added versions to parent/pom.xml as its nice to have all versions in one place.

However the features validator doesn't work with wrap anymore
{code}
mvn clean install -Pvalidate
{code}

Causes it to fail when you have defined a wrap bundle. Because we need slf4j-api as its mandatory
by flatpack
{code:xml}
  <feature name='camel-flatpack' version='${pom.version}'>
    <feature version='${pom.version}'>camel-spring</feature>
    <bundle>wrap:mvn:org.slf4j/slf4j-api/${slf4j-version}</bundle>
    <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jdom/${jdom-bundle-version}</bundle>
    <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jexcelapi/${jexcelapi-bundle-version}</bundle>
    <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.flatpack/${flatpack-bundle-version}</bundle>
    <bundle>mvn:org.apache.camel/camel-flatpack/${pom.version}</bundle>
  </feature>
{code}

And when running the validator it causes this error
{code}
Downloading: http://localhost:8081/nexus/content/groups/public/wrap:mvn:org/slf4j/slf4j-api/1.6.1/slf4j-api-1.6.1.jar
[INFO] Unable to find resource 'wrap:mvn:org.slf4j:slf4j-api:jar:1.6.1' in repository central
(http://repo1.maven.org/maven2)

Then, install it using the command: 
    mvn install:install-file -DgroupId=wrap:mvn:org.slf4j -DartifactId=slf4j-api -Dversion=1.6.1
-Dpackaging=jar -Dfile=/path/to/file

Alternatively, if you host your own repository you can deploy the file there: 
    mvn deploy:deploy-file -DgroupId=wrap:mvn:org.slf4j -DartifactId=slf4j-api -Dversion=1.6.1
-Dpackaging=jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]


  wrap:mvn:org.slf4j:slf4j-api:jar:1.6.1
{code}

As you can see it now believes the artifactId is wrap:mvn:org.slf4j instead of just org.slf4j.

This used to work. I bet upgrading to Karaf 2.0 causes this problem.

> Upgrade to flatpack 3.2.0
> -------------------------
>
>                 Key: CAMEL-2966
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-2966
>             Project: Apache Camel
>          Issue Type: Improvement
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Minor
>             Fix For: 2.5.0
>
>
> See nabble
> http://camel.465427.n5.nabble.com/Rumors-of-Flatpack-s-Death-Were-Quite-Exaggerated-tp1438906p1438906.html

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message